Skip to main content
GET
/
v1
/
links
/
{link_id}
/
bank_statements
List all bank statements
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/bank_statements/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 100,
  "next": "https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=2",
  "previous": "https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=1",
  "results": [
    {
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "external_id": "202311632023111015132916907630010010",
      "statement_date": "2023-12-19T00:00:00.000Z",
      "account_id": "68a7e80942ce4ad58a93f70ce411549a",
      "file": "https://cdn.truv.com/files_examples/bank_statement.pdf"
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

Bank Statements List

count
integer
required

Number of the results in total

Example:

100

next
string<uri> | null
required

Link to the next page

Example:

"https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=2"

previous
string<uri> | null
required

Link to the previous page

Example:

"https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=1"

results
object[]
required

List of the Bank Statements